Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 22822 - [TTV] Some cells show up with strange colors
[TTV] Some cells show up with strange colors
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
3.x
All All
: P3 (vote)
: 6.x
Assigned To: _ tboudreau
issues@platform
: API, UI
Depends on: 29466
Blocks: 33281
  Show dependency treegraph
 
Reported: 2002-04-25 19:55 UTC by David-john Burrowes
Modified: 2008-12-22 20:56 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David-john Burrowes 2002-04-25 19:55:06 UTC
Some cells in the table show up with light grey text color, others with a dark blue.  All of these 
should be shown in black.
(this may be a core issue and not a debuggercore one.  I can't tell)
Comment 1 Jan Jancura 2002-07-10 12:50:08 UTC
Property editor use different colors for read-only properties in
property sheet. And the same PEs are used in TreeTable too. So we need
some API in OpenIDE to distinguish these two situations. 
Comment 2 Marek Grummich 2002-07-22 11:27:12 UTC
Set target milestone to TBD
Comment 3 Marek Grummich 2002-07-22 11:28:38 UTC
Set target milestone to TBD
Comment 4 Marian Mirilovic 2002-11-13 15:31:56 UTC
changed owner Dafe -> Peter Z.
Comment 5 Peter Zavadsky 2002-12-03 10:32:51 UTC
So there is a needed that TreeTableView should be able specify its own
colors to override the property sheet settings.
Putting it to Yarda, since probably an API change is needed.
Comment 6 Jaroslav Tulach 2002-12-03 12:57:02 UTC
Please suggest the API. I can review it then.
Comment 7 Marian Mirilovic 2002-12-06 17:57:45 UTC
reassigne to Marek, new owner of ui subcomponents
Comment 8 David-john Burrowes 2003-05-23 19:28:34 UTC
Preferably, the tree table view should allow both color and type style
changes.  That is, the user of the tree table should be able to
specify the color for the text in each cell.  Eventually, we need to
be able to do things like specify that the text should be bold, or not
bold in addition to just changing the colors.
Comment 9 Jiri Rechtacek 2003-06-24 13:38:04 UTC
This issue blocks the umbrella issue 33281 - TreeTableView 
improving.
Comment 10 Jiri Rechtacek 2003-08-06 10:12:16 UTC
Eval: The implementation this enhancement requires API change. Current
TreeTableView(TTV) implementation uses PropertyPanel as default
renderer that the PropertyPanel looks in TTV same as in property
sheet. TTV's API has no method to control colors nor fonts in
PropertyPanel. I advocate for change concept of rendering table cells
in TTV in framework redesigning TTV (tracked in issue 33281) and
postpone solving this issue then.
Comment 11 _ tboudreau 2003-11-22 22:41:27 UTC
The text colors require HTML support for property renderer and explorer
Comment 12 _ tboudreau 2004-05-03 14:51:30 UTC
Fixed with html renderer merge
Comment 13 Marian Mirilovic 2005-07-19 14:52:21 UTC
verified/closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo